Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234228 - CVE-2007-1351 BDF font integer overflow
Summary: CVE-2007-1351 BDF font integer overflow
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: freetype
Version: 5.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Behdad Esfahbod
QA Contact: Brock Organ
URL:
Whiteboard: impact=moderate,reported=20070322,emb...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-27 19:06 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHSA-2007-0150
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-16 11:38:35 UTC
Target Upstream Version:


Attachments (Terms of Use)
Upstream patch (deleted)
2007-03-28 12:46 UTC, Josh Bressers
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0150 normal SHIPPED_LIVE Moderate: freetype security update 2007-04-16 11:38:32 UTC

Description Josh Bressers 2007-03-27 19:06:09 UTC
+++ This bug was initially created as a clone of Bug #234058 +++

iDEFENSE has reported a font related integer overflow.

CVE-2007-1351 describes an integer overflow in the way freetype parses a BDF
font file.

This flaw could allow an attacker to execute arbitrary code as the user running
an application linked against freetype.

This flaw probably also affects RHEL 2.1, 3, and 4.

Comment 2 Josh Bressers 2007-03-28 12:46:19 UTC
Created attachment 151115 [details]
Upstream patch

Comment 3 Josh Bressers 2007-03-28 17:35:34 UTC
Ping on this flaw.  Can we get some new packages rolled.  I'd like to get an
errata to QA asap.

Comment 4 Josh Bressers 2007-03-28 18:38:31 UTC
This is RHSA-2007:0150

Comment 7 Josh Bressers 2007-04-05 20:26:54 UTC
Lifting embargo

Comment 11 Red Hat Bugzilla 2007-04-16 11:38:36 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0150.html



Note You need to log in before you can comment on or make changes to this bug.